Partio

Public Member Functions | List of all members
Partio::Provider Struct Referenceabstract

`#include <PartioIterator.h>`

## Public Member Functions
virtual void | setupIteratorNextBlock (ParticleIterator< true > &iterator) const =0
virtual void | setupIteratorNextBlock (ParticleIterator< false > &iterator)=0
virtual void | setupAccessor (ParticleIterator< true > &iterator, ParticleAccessor &accessor) const =0
virtual void | setupAccessor (ParticleIterator< false > &iterator, ParticleAccessor &accessor)=0
virtual | ~Provider ()

## Constructor & Destructor Documentation

## ◆ ~Provider()

virtual Partio::Provider::~Provider | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ setupAccessor() [1/2]

virtual void Partio::Provider::setupAccessor | ( | ParticleIterator< false > & | iterator,
|  | ParticleAccessor & | accessor )
| pure virtual

## ◆ setupAccessor() [2/2]

virtual void Partio::Provider::setupAccessor | ( | ParticleIterator< true > & | iterator,
|  | ParticleAccessor & | accessor ) const
| pure virtual

Referenced by Partio::ParticleIterator< constant >::addAccessor().

## ◆ setupIteratorNextBlock() [1/2]

virtual void Partio::Provider::setupIteratorNextBlock | ( | ParticleIterator< false > & | iterator | ) |
| pure virtual

## ◆ setupIteratorNextBlock() [2/2]

virtual void Partio::Provider::setupIteratorNextBlock | ( | ParticleIterator< true > & | iterator | ) | const
| pure virtual

Referenced by Partio::ParticleIterator< constant >::operator++().

The documentation for this struct was generated from the following file:

- src/lib/PartioIterator.h